{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.RegionEnum":{"type":"string","description":"OVHcloud region identifier","enum":["af-north-lz-rba","ap-south-mum","ap-southeast-sgp","ap-southeast-syd","ca-east-bhs","ca-east-tor","eu-central-lz-buh","eu-central-lz-prg","eu-central-lz-sof","eu-central-waw","eu-north-lz-cph","eu-north-lz-hel","eu-north-lz-osl","eu-north-lz-sto","eu-south-lz-lis","eu-south-lz-mad","eu-south-lz-mil","eu-south-mil","eu-west-eri","eu-west-gra","eu-west-gra-snc","eu-west-lim","eu-west-lz-ams","eu-west-lz-bru","eu-west-lz-dln","eu-west-lz-lux","eu-west-lz-mnc","eu-west-lz-mrs","eu-west-lz-vie","eu-west-lz-zrh","eu-west-par","eu-west-rbx","eu-west-rbx-snc","eu-west-sbg","eu-west-sbg-snc","us-central-lz-slc","us-central-lz-stl","us-east-lz-atl","us-east-lz-bos","us-east-lz-chi","us-east-lz-dal","us-east-lz-mia","us-east-lz-nyc","us-east-vin","us-west-hil","us-west-lz-den","us-west-lz-lax","us-west-lz-pao","us-west-lz-phx","us-west-lz-sea"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.database.Backup":{"type":"object","description":"A backup of a managed database service","properties":{"checksum":{"type":"string","description":"Hash of the resource used for concurrency control","readOnly":true},"createdAt":{"type":"string","description":"Date at which the backup was created","format":"date-time","readOnly":true},"description":{"type":"string","description":"Human-readable description of the backup","nullable":true,"readOnly":true},"expiredAt":{"type":"string","description":"Date until point-in-time recovery is available from this backup","nullable":true,"format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the backup","format":"uuid","readOnly":true},"regions":{"type":"array","description":"Regions where this backup is stored","items":{"$ref":"#/components/schemas/common.RegionEnum"},"readOnly":true},"serviceId":{"type":"string","description":"Identifier of the service this backup belongs to","format":"uuid","readOnly":true},"size":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.UnitAndValue"}],"description":"Size of the backup","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.BackupStatusEnum"}],"description":"Current readiness status of the backup","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.BackupTypeEnum"}],"description":"Type of this backup","readOnly":true}}},"publicCloud.database.BackupStatusEnum":{"type":"string","description":"Readiness status of a managed database backup","enum":["CREATING","DELETING","ERROR","READY"]},"publicCloud.database.BackupTypeEnum":{"type":"string","description":"Type of a managed database backup","enum":["AUTOMATIC","MANUAL","NONE","PITR","SNAPSHOT"]},"publicCloud.database.StorageUnitEnum":{"type":"string","description":"Unit for storage size values","enum":["GB","MB"]},"publicCloud.database.UnitAndValue":{"type":"object","description":"A numeric size value with its associated unit","properties":{"unit":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.StorageUnitEnum"}],"description":"Unit of the value"},"value":{"type":"integer","description":"Numeric value"}}},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/managedAnalytics/backup":{"get":{"operationId":"getAllManagedAnalyticsBackups","summary":"List backups","description":"Returns the backups of all analytics services of the project, across engines. Filter them by service with the serviceId parameter.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"query","name":"serviceId","description":"Filter backups by service identifier","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.database.Backup"}}}}}},"tags":["Managed Analytics"],"x-developer-hub-navigation":[["Public Cloud","Analytics","ClickHouse","Backups@@@10"],["Public Cloud","Analytics","OpenSearch","Backups@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/backup\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/backup\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/backup/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudDatabaseBackup"}},"/publicCloud/project/{projectId}/managedAnalytics/backup/{backupId}":{"get":{"operationId":"getManagedAnalyticsBackup","summary":"Get a backup","description":"Returns the backup type, size, status and storage regions, and the date until which point-in-time recovery is available.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"backupId","description":"Backup ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.Backup"}}}}},"tags":["Managed Analytics"],"x-developer-hub-navigation":[["Public Cloud","Analytics","ClickHouse","Backups@@@20"],["Public Cloud","Analytics","OpenSearch","Backups@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/backup/{backupId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/backup/{backupId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/backup/get","required":true}],"x-response-identifier":"id"}}},"tags":[{"name":"Managed Analytics","x-tag-expanded":false,"description":"Missing description"}]}
